[arch-commits] Commit in python-pycurl/repos/extra-x86_64 (PKGBUILD PKGBUILD)

Felix Yan felixonmars at archlinux.org
Wed Sep 2 11:17:27 UTC 2020


    Date: Wednesday, September 2, 2020 @ 11:17:27
  Author: felixonmars
Revision: 395138

archrelease: copy trunk to extra-x86_64

Added:
  python-pycurl/repos/extra-x86_64/PKGBUILD
    (from rev 395137, python-pycurl/trunk/PKGBUILD)
Deleted:
  python-pycurl/repos/extra-x86_64/PKGBUILD

----------+
 PKGBUILD |  142 ++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 71 insertions(+), 71 deletions(-)

Deleted: PKGBUILD
===================================================================
--- PKGBUILD	2020-09-02 11:17:11 UTC (rev 395137)
+++ PKGBUILD	2020-09-02 11:17:27 UTC (rev 395138)
@@ -1,71 +0,0 @@
-# Maintainer: Felix Yan <felixonmars at archlinux.org>
-# Contributor: Sergej Pupykin <pupykin.s+arch at gmail.com>
-# Contributor: Angel 'angvp' Velasquez <angvp[at]archlinux.com.ve>
-
-pkgbase=python-pycurl
-pkgname=('python-pycurl' 'python2-pycurl')
-pkgver=7.43.0.5
-pkgrel=1
-arch=('x86_64')
-url="http://pycurl.sourceforge.net/"
-license=('LGPL' 'MIT')
-makedepends=('python' 'python2' 'curl')
-checkdepends=('python-bottle' 'python2-bottle' 'python-nose-show-skipped' 'python2-nose-show-skipped'
-              'vsftpd' 'python-flaky' 'python2-flaky' 'python-pyflakes' 'python2-pyflakes')
-source=("$pkgbase-$pkgver.tar.gz::https://github.com/pycurl/pycurl/archive/REL_${pkgver//./_}.tar.gz")
-sha512sums=('c0f62fb61e699a370e0e001e61e97c2634e1acaea19ea7cf10d3f95041170a8c89c73d720194bbcf7e8fe2e591f2b086ebf9eb00a1844627d111f839f53cdba5')
-
-prepare() {
-  mv pycurl-REL_${pkgver//./_} pycurl-$pkgver
-  cp -a pycurl-$pkgver{,-py2}
-
-  cd "$srcdir"/pycurl-$pkgver
-  find . -name '*.py' -exec sed -i -e "s|#! /usr/bin/env python|#!/usr/bin/env python3|" {} +
-    sed -i 's/"share", "doc", PACKAGE/"share", "doc", "python-pycurl"/' setup.py
-  sed -e "s/nosetests/nosetests3/" -e "s/python/python3/" -i tests/run.sh
-
-  cd "$srcdir"/pycurl-$pkgver-py2
-  find . -name '*.py' -exec sed -i -e "s|#! /usr/bin/env python|#!/usr/bin/env python2|" {} +
-    sed -i 's/"share", "doc", PACKAGE/"share", "doc", "python2-pycurl"/' setup.py
-  sed -e "s/nosetests/nosetests2/" -e "s/python/python2/" -i tests/run.sh
-  sed -e "s/pyflakes/pyflakes-python2/" -i Makefile
-}
-
-build() {
-  cd "$srcdir"/pycurl-$pkgver
-  make
-  python3 setup.py build
-
-  cd "$srcdir"/pycurl-$pkgver-py2
-  make
-  python2 setup.py build
-}
-
-check() {
-  export PYCURL_VSFTPD_PATH=vsftpd
-  # We don't have HTTP2 enabled
-
-  cd "$srcdir"/pycurl-$pkgver
-  PYTHONPATH="$PWD/build/lib.linux-$CARCH-3.8:$PYTHONPATH" make test || warning "Tests failed"
-
-  cd "$srcdir"/pycurl-$pkgver-py2
-  PYTHONPATH="$PWD/build/lib.linux-$CARCH-2.7:$PYTHONPATH" make PYTHON=python2 NOSETESTS=nosetests2 test || warning "Tests failed"
-}
-
-package_python-pycurl() {
-  pkgdesc="A Python 3.x interface to libcurl"
-  depends=('python' 'curl')
-
-  cd pycurl-$pkgver
-  python setup.py install -O1 --root="$pkgdir"
-  install -D -m644 COPYING-MIT "$pkgdir"/usr/share/licenses/$pkgname/LICENSE
-}
-
-package_python2-pycurl() {
-  pkgdesc="A Python 2.x interface to libcurl"
-  depends=('python2' 'curl')
-
-  cd pycurl-$pkgver-py2
-  python2 setup.py install -O1 --root="$pkgdir"
-  install -D -m644 COPYING-MIT "$pkgdir"/usr/share/licenses/$pkgname/LICENSE
-}

Copied: python-pycurl/repos/extra-x86_64/PKGBUILD (from rev 395137, python-pycurl/trunk/PKGBUILD)
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2020-09-02 11:17:27 UTC (rev 395138)
@@ -0,0 +1,71 @@
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+# Contributor: Sergej Pupykin <pupykin.s+arch at gmail.com>
+# Contributor: Angel 'angvp' Velasquez <angvp[at]archlinux.com.ve>
+
+pkgbase=python-pycurl
+pkgname=('python-pycurl' 'python2-pycurl')
+pkgver=7.43.0.6
+pkgrel=1
+arch=('x86_64')
+url="http://pycurl.sourceforge.net/"
+license=('LGPL' 'MIT')
+makedepends=('python' 'python2' 'curl')
+checkdepends=('python-bottle' 'python2-bottle' 'python-nose-show-skipped' 'python2-nose-show-skipped'
+              'vsftpd' 'python-flaky' 'python2-flaky' 'python-pyflakes' 'python2-pyflakes')
+source=("$pkgbase-$pkgver.tar.gz::https://github.com/pycurl/pycurl/archive/REL_${pkgver//./_}.tar.gz")
+sha512sums=('ea0160794d30758c8163f1f82fc6315c27f2cfd1b9981a7c349a48cee892fc2307e3edd25456378f1a780bc134fca199d8d6431310fd47b2ca6126a8822fea40')
+
+prepare() {
+  mv pycurl-REL_${pkgver//./_} pycurl-$pkgver
+  cp -a pycurl-$pkgver{,-py2}
+
+  cd "$srcdir"/pycurl-$pkgver
+  find . -name '*.py' -exec sed -i -e "s|#! /usr/bin/env python|#!/usr/bin/env python3|" {} +
+    sed -i 's/"share", "doc", PACKAGE/"share", "doc", "python-pycurl"/' setup.py
+  sed -e "s/nosetests/nosetests3/" -e "s/python/python3/" -i tests/run.sh
+
+  cd "$srcdir"/pycurl-$pkgver-py2
+  find . -name '*.py' -exec sed -i -e "s|#! /usr/bin/env python|#!/usr/bin/env python2|" {} +
+    sed -i 's/"share", "doc", PACKAGE/"share", "doc", "python2-pycurl"/' setup.py
+  sed -e "s/nosetests/nosetests2/" -e "s/python/python2/" -i tests/run.sh
+  sed -e "s/pyflakes/pyflakes-python2/" -i Makefile
+}
+
+build() {
+  cd "$srcdir"/pycurl-$pkgver
+  make
+  python3 setup.py build
+
+  cd "$srcdir"/pycurl-$pkgver-py2
+  make
+  python2 setup.py build
+}
+
+check() {
+  export PYCURL_VSFTPD_PATH=vsftpd
+  # We don't have HTTP2 enabled
+
+  cd "$srcdir"/pycurl-$pkgver
+  PYTHONPATH="$PWD/build/lib.linux-$CARCH-3.8:$PYTHONPATH" make test || warning "Tests failed"
+
+  cd "$srcdir"/pycurl-$pkgver-py2
+  PYTHONPATH="$PWD/build/lib.linux-$CARCH-2.7:$PYTHONPATH" make PYTHON=python2 NOSETESTS=nosetests2 test || warning "Tests failed"
+}
+
+package_python-pycurl() {
+  pkgdesc="A Python 3.x interface to libcurl"
+  depends=('python' 'curl')
+
+  cd pycurl-$pkgver
+  python setup.py install -O1 --root="$pkgdir"
+  install -D -m644 COPYING-MIT "$pkgdir"/usr/share/licenses/$pkgname/LICENSE
+}
+
+package_python2-pycurl() {
+  pkgdesc="A Python 2.x interface to libcurl"
+  depends=('python2' 'curl')
+
+  cd pycurl-$pkgver-py2
+  python2 setup.py install -O1 --root="$pkgdir"
+  install -D -m644 COPYING-MIT "$pkgdir"/usr/share/licenses/$pkgname/LICENSE
+}


More information about the arch-commits mailing list